Package org.acplt.oncrpc

# Interface OncRpcAuthStatus

public interface OncRpcAuthStatus
A collection of constants used to identify the authentication status (or any authentication errors) in ONC/RPC replies of the corresponding ONC/RPC calls.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ONCRPC_AUTH_BADCRED`
The ONC/RPC server detected a bad credential (that is, the seal was broken).
`static final int`
`ONCRPC_AUTH_BADVERF`
The ONC/RPC server detected a bad verifier (that is, the seal was broken).
`static final int`
`ONCRPC_AUTH_FAILED`
Authentication at the ONC/RPC client failed for an unknown reason.
`static final int`
`ONCRPC_AUTH_INVALIDRESP`
The ONC/RPC client detected a bogus response verifier.
`static final int`
`ONCRPC_AUTH_OK`
There is no authentication problem or error.
`static final int`
`ONCRPC_AUTH_REJECTEDCRED`
The ONC/RPC server has rejected the credential and forces the caller to begin a new session.
`static final int`
`ONCRPC_AUTH_REJECTEDVERF`
The ONC/RPC server detected an expired verifier (which can also happen if the verifier was replayed).
`static final int`
`ONCRPC_AUTH_TOOWEAK`
The ONC/RPC server rejected the authentication for security reasons.

## Field Details

### ONCRPC_AUTH_OK

static final int ONCRPC_AUTH_OK
There is no authentication problem or error.

See Also:
  - Constant Field Values

### ONCRPC_AUTH_BADCRED

static final int ONCRPC_AUTH_BADCRED
The ONC/RPC server detected a bad credential (that is, the seal was broken).

See Also:
  - Constant Field Values

### ONCRPC_AUTH_REJECTEDCRED

static final int ONCRPC_AUTH_REJECTEDCRED
The ONC/RPC server has rejected the credential and forces the caller to begin a new session.

See Also:
  - Constant Field Values

### ONCRPC_AUTH_BADVERF

static final int ONCRPC_AUTH_BADVERF
The ONC/RPC server detected a bad verifier (that is, the seal was broken).

See Also:
  - Constant Field Values

### ONCRPC_AUTH_REJECTEDVERF

static final int ONCRPC_AUTH_REJECTEDVERF
The ONC/RPC server detected an expired verifier (which can also happen if the verifier was replayed).

See Also:
  - Constant Field Values

### ONCRPC_AUTH_TOOWEAK

static final int ONCRPC_AUTH_TOOWEAK
The ONC/RPC server rejected the authentication for security reasons.

See Also:
  - Constant Field Values

### ONCRPC_AUTH_INVALIDRESP

static final int ONCRPC_AUTH_INVALIDRESP
The ONC/RPC client detected a bogus response verifier.

See Also:
  - Constant Field Values

### ONCRPC_AUTH_FAILED

static final int ONCRPC_AUTH_FAILED
Authentication at the ONC/RPC client failed for an unknown reason.

See Also:
  - Constant Field Values